#
#
#  These tools are on hold until we have a better sense on:
# - what they do
# - they're actually needed
#
#

import click


@click.group()
def tile():
    '''Subcommand for ARD tile tools'''

    pass

    
@click.command(name='list')
@click.argument('cell_id', required=True)
@click.argument('acq_id')
@click.option('--location')
def list_(cell_id, acq_id, location):
    location = get_location(location)
    fs = get_fs(location)
    for item in fs.list(location):
        click.secho(item, fg='cyan')

@click.command(name='filter')
@click.argument('geom')
@click.option('--format')
def filter_(geom):
    cells = covers(geom)
    if format is None:
        for cell in cells:
            click.secho(cell.id, fg='cyan')
    if format == 'geojson':
        fc = {
            "type": "FeatureCollection",
            "features": []
        }
        for cell in cells:
            fc['features'].append(cell.to_feature)
        click.secho(json.dumps(fc), fg='cyan')

#tile.add_command(list_)
tile.add_command(filter_)